<?php 

// +------------------------------------------------------------------+
// | Class Definition                                                 |
// +------------------------------------------------------------------+

class CORE_SkinFunc extends CORE_Display {

// +--
// | This file holds functions used by the main skin file.  It's 
// | purpose is to ensure the main skin file is as free of PHP
// | code as possible to make editing easier on end users.
// +--

// +------------------------------------------------------------------+
// | Class Variables                                                  |
// +------------------------------------------------------------------+

var $class   = 'CORE_SkinFunc';
var $version = '8.0.0';
var $cerror;

// +------------------------------------------------------------------+
// | Constructor Function                                             |
// +------------------------------------------------------------------+

function CORE_SkinFunc () {

// +--
// | This is the constructor function.  This function starts up the
// | class.  Any pre-load variable assignments go here.
// +--

// +--
// | Return $this.
// +--

return;

} // End of function.

// +------------------------------------------------------------------+
// | Function: startup                                                |
// +------------------------------------------------------------------+

function startup () {

// +--
// | This function loads variables for use within the skin.
// +--

$x = array();

// +--
// | General variables.
// +--

$x['eol']            = $this->globals('core.eol');
$x['disp_year']      = $this->xhtml_encode($this->globals('core_datetime.year'));
$x['disp_date']      = $this->xhtml_encode($this->globals('core_datetime.full'));
$x['site_name']      = $this->globals('core_settings.core.site_name');

$x['logoimage']      = $this->globals('core_settings.core.skins_mobilelogo');

// +--
// | HREFs: These are account independent:
// +--

$defaultapp         = $this->globals('core.defaultapp');
$defaultns          = $this->globals('core.defaultns');

$x['link_contact']  = $this->link('core','contact');
$x['link_home']     = $this->link($defaultapp,$defaultns);
$x['link_cart']     = $this->link('ecom','viewcart');
$x['link_checkout'] = $this->link('ecom','checkoutfn');
$x['link_fullsite'] = $this->link('core','mobiledesktopswitch');

$x['link_sitemap']  = '';

if ($this->globals('core_settings.core.sitemap_status')) {

     $x['link_sitemap'] = $this->link('core','sitemap');

} // End of if statement.

// +--
// | Return our variable array.
// +--

return $x;

} // End of function.

// +------------------------------------------------------------------+
// | Function: xnamespace                                             |
// +------------------------------------------------------------------+

function xnamespace ($app = '', $namespace = '', $params = '') {

// +--
// | This function loads a requested namespace.
// +--

if ($app == 'core') {$app = $this->globals('core.app');}

if (empty($app)) {return false;}

$this->include_namespace($app,$namespace,$params,0);

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: link                                                   |
// +------------------------------------------------------------------+

function link ($app = '', $namespace = '', $params = '') {

// +--
// | This function returns a link to a namespace.
// +--

if ($app == 'core') {$app = $this->globals('core.app');}

if (empty($app)) {return false;}

// +--
// | Make sure the link is valid, otherwise, return false.
// +--

$valid = $this->link_isvalid($app,$namespace);

if (empty($valid)) {return false;}

// +--
// | Return the link if it's valid.
// +--

return $this->link_namespace($app,$namespace,$params);

} // End of function.

// +------------------------------------------------------------------+
// | Function: debug                                                  |
// +------------------------------------------------------------------+

function debug () {

// +--
// | This function prints closure and debug info.  It handle including 
// | the debug and closure divs.
// +--

if ($this->debug == 2) {$this->include_file('core','debug.php');}

$this->include_file('core','closure.php');

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: printaddphone                                          |
// +------------------------------------------------------------------+

function printaddphone () {

// +--
// | This function prints the owner's address and 
// | phone number.
// +--

$eol        = $this->globals('core.eol');

$phone      = $this->xhtml_encode($this->globals('core_settings.core.siteownerphone'));

$address    = array('addone'     => $this->globals('core_settings.core.siteowneradd'),
                    'addtwo'     => '',
                    'city'       => $this->globals('core_settings.core.siteownercity'),
                    'stateprov'  => $this->globals('core_settings.core.siteownerstateprov'),
                    'country'    => $this->globals('core_settings.core.siteownercountry'),
                    'postalcode' => $this->globals('core_settings.core.siteownerzip'));

$address    = $this->include_namespace('core','getaddress',array('address' => $address, 'format' => 'TEXTNOBR'));

if ((!($this->IsError($address))) && (!(empty($address)))) {

     print '<p>' . $this->xhtml_encode($address) . '</p>' . $eol . $eol;
     print '<p>' . $phone . '</p>' . $eol . $eol;

} // End of if statement.

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | End of Class                                                     |
// +------------------------------------------------------------------+

} // End of class.

// +------------------------------------------------------------------+
// | End Of File                                                      |
// +------------------------------------------------------------------+

?>